org.appng.appngizer.controller

## Class PlatformController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.PlatformController

-     @RestController
      public class PlatformController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.catalina.Context` | `getAppNGContext()`
    `org.springframework.http.ResponseEntity<Properties>` | `listEnvironment()`
    `org.springframework.http.ResponseEntity<Properties>` | `listSystemProperties()`
    `protected Properties` | `mapProps(Map<?,?> properties)`
    `org.springframework.http.ResponseEntity<Void>` | `reloadPlatform()`
    `org.springframework.http.ResponseEntity<Platform>` | `showPlatform()`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformController

          public PlatformController()

  - ### Method Detail

    - #### showPlatform

          @GetMapping(value="/platform")
          public org.springframework.http.ResponseEntity<Platform> showPlatform()

    - #### listSystemProperties

          @GetMapping(value="/platform/system")
          public org.springframework.http.ResponseEntity<Properties> listSystemProperties()

    - #### listEnvironment

          @GetMapping(value="/platform/environment")
          public org.springframework.http.ResponseEntity<Properties> listEnvironment()

    - #### reloadPlatform

          @PostMapping(value="/platform/reload")
          public org.springframework.http.ResponseEntity<Void> reloadPlatform()

    - #### getAppNGContext

          protected org.apache.catalina.Context getAppNGContext()

    - #### mapProps

          protected Properties mapProps(Map<?,?> properties)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.